Odin

Process migros storeprocess upload

Processes a storeprocess upload sent by SAP PI. It then creates tasks for all affected labels.

post
https://api-qual.migros.ch/migros/products/odin/v1/storeprocess

Body

application/json

UploadModel is used to deserialise what we receive from SAP PI.

worklistarray | null[object]required

SPStates contains the states of the different Filialprozesse for a certain product in a certain store as sent by the MoFiP / SAP.

Show Child Parameters

Response

200

OK

post/migros/products/odin/v1/storeprocess

Body

[ { "worklist": [ { "FILIALE_ID": "0063940", "PRODUKT_ID": "275700501000", "STATUS_AUSLISTUNG": "JA", "STATUS_AV": "OFFEN", "STATUS_INVENTUR": "RELEVANT", "STATUS_LIEFERUNTERBRUCH": "JA", "STATUS_MHD": "KEIN_TERMIN" } ] } ]
 
200

ESL-MP

Create MP label

Gathers product-, price-, scale- and store-data, creates a label and starts the image generation process.

post
https://api-qual.migros.ch/migrospartner/products/odin/v1/label

Body

application/json

MigrosPartnerMoFipLabel

MoFipLabel represents the model which MoFip sends while pairing.

arrowstringrequired

Example:none

gtinstringrequired

Example:2124307000000

label_idstringrequired

Example:0BC62A0BB696

origin_countrystringrequired

Example:Espagne

product_idstringrequired

Example:275700501000

show_delivery_by_airboolean | nullrequired

Example:false

show_delivery_interruptionboolean | nullrequired

Example:false

store_idstringrequired

Example:0063940

wildfangstringrequired

Example:[ "" ]

Response

201

Label created

post/migrospartner/products/odin/v1/label

Body

{ "arrow": "none", "gtin": "2124307000000", "label_id": "0BC62A0BB696", "origin_country": "Espagne", "product_id": "275700501000", "show_delivery_by_air": false, "show_delivery_interruption": false, "store_id": "0063940", "wildfang": "" }
 
201

Remove MP label

Removes the specified MP label along with any associated labels that have the same product and store. It also unlinks the labels from AIMS.

delete
https://api-qual.migros.ch/migrospartner/products/odin/v1/label/{labelID}

Path Parameters

labelIDstringrequired

ID of the label

Example:0BC62A0BB696

Response

204

Label deleted

delete/migrospartner/products/odin/v1/label/{labelID}
 
204

List MP product information

Leverages product information provided by WebBO.

get
https://api-qual.migros.ch/migrospartner/products/odin/v1/product

Query Parameters

searchstring

Will check for product name or product_id and GTIN match, must be at lease 3 characters

storeIDstring

The store in which the product is getting searched.

Response

200 application/json

List of products

MofipProduct is the Migros-Partner/VOI (MP-VOI) API Modell for Mofip to read from. As Mofip does not integrate the Data from the MP-VOI interface which is provided by Zucchetti GmbH called WebBO, we as the middlelayer leverage the API to read the data from.

categorystringrequired

Category is the BoSS Number which declares in which segment the product is. Schinken is Fleisch = 04 is an example, we know later.

Example:050115240505

gtinstringrequired

GTIN is the fka EAN. (eg. Barcode)

Example:2124307000001

product_idstringrequired

ProductID is the WebBO specific product-id.

Example:275700501000

product_namestringrequired

ProductName represents the Name of the product that has been saved in WebBO.

Example:Blumenkohl

show_originboolean

Origin tells the caller if this product needs additional input from the store-employee about the origin.

Example:false

show_wildfangboolean

Wildfang tells the caller, if the product needs additional input from the store-employee about the fangzone.

Example:false

get/migrospartner/products/odin/v1/product
 
200 application/json